Page MenuHomePhabricator

Statistics for aggregate message groups are not always updating
Closed, ResolvedPublic

Description

https://translatewiki.net/wiki/Thread:Support/Newly,_the_data_on_Special:LanguageStats_are_no_longer_updated reports that there is still an issue.
My theory is that the optimization that updates aggregate message groups first (or was it after?) all other groups has a bug. When there are multiple nested aggregate groups, the order of updating the groups does matter.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2019, 7:31 AM

Change 484367 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Fix status updating for AggregateMessageGroups

https://gerrit.wikimedia.org/r/484367

Pginer-WMF triaged this task as Normal priority.Jan 15 2019, 5:22 PM

Change 484367 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix status updating for AggregateMessageGroups

https://gerrit.wikimedia.org/r/484367

Pginer-WMF closed this task as Resolved.Jan 25 2019, 9:24 AM